package it.unipr.dsg.mobdev;


import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;

public class MainActivity extends TabActivity {
	
	public static String TAG = "ADSource2";
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.tab_layout);

        
        Resources res = getResources(); // Resource object to get Drawables
        TabHost tabHost = getTabHost();  // The activity TabHost
        TabHost.TabSpec spec;  // Resusable TabSpec for each tab
        Intent intent;  // Reusable Intent for each tab

        // Create an Intent to launch an Activity for the tab (to be reused)
        intent = new Intent().setClass(this, AddBookmarkActivity.class);

        // Initialize a TabSpec for each tab and add it to the TabHost
        spec = tabHost.newTabSpec("add_bookmark").setIndicator("",res.getDrawable(R.drawable.ic_tab_add)).setContent(intent);
        tabHost.addTab(spec);

        // Do the same for the other tabs
        intent = new Intent().setClass(this, BookmarkGridActivity.class);
        spec = tabHost.newTabSpec("top_bookmark").setIndicator("",res.getDrawable(R.drawable.ic_tab_top_bookmarks)).setContent(intent);
        tabHost.addTab(spec);
        
        
        intent = new Intent().setClass(this, BookmarkListActivity.class);
        spec = tabHost.newTabSpec("list").setIndicator("",res.getDrawable(R.drawable.ic_tab_list)).setContent(intent);
        tabHost.addTab(spec);
                
        tabHost.setCurrentTab(0);
    }
}